## org.apache.log4j.spi
Class ThrowableInformation

    java.lang.Object
      org.apache.log4j.spi.ThrowableInformation

All Implemented Interfaces:
  java.io.Serializable

    public class ThrowableInformation

extends java.lang.Object
implements java.io.Serializable

ThrowableInformation is log4j's internal representation of throwables. It essentially consists of a string array, called 'rep', where the first element, that is rep[0], represents the string representation of the throwable (i.e. the value you get when you do throwable.toString()) and subsequent elements correspond the stack trace with the top most entry of the stack corresponding to the second entry of the 'rep' array that is rep[1].

Author:
  Ceki Gülcü
See Also:
  Serialized Form

Constructor Summary
`ThrowableInformation(java.lang.String[] r)` Create new instance.
`ThrowableInformation(java.lang.Throwable throwable)`

Method Summary
`java.lang.Throwable` `getThrowable()`
`java.lang.String[]` `getThrowableStrRep()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrowableInformation

    public ThrowableInformation(java.lang.Throwable throwable)

### ThrowableInformation

    public ThrowableInformation(java.lang.String[] r)

  Create new instance.

  Parameters:
    `r` - String representation of throwable.
  Since:
    1.2.15

Method Detail

### getThrowable

    public java.lang.Throwable getThrowable()

### getThrowableStrRep

    public java.lang.String[] getThrowableStrRep()

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.